import layout from './layout'
import pages from './pages'
const eagerImportModules = import.meta.glob('./*.json', { eager: true })

const zh: Record<string, unknown> = {
	layout,
	pages,
	form: {
		drawer: {
			submit: '提交',
			cancel: '取消',
		},
	},
}
Object.keys(eagerImportModules).forEach((key) => {
	zh[key.replace('./', '').replace('.json', '')] = (eagerImportModules[key] as Record<string, unknown>).default
})
export default zh
